dcl_settings : default_dcl_settings { audit_level = 3; }
//
// dialogues for LITIO V2.0
//
number_box : edit_box {
         edit_limit = 14 ;
         edit_width = 10 ;
      }
opttogg : toggle {
         width = 8 ;
         fixed_width = true ;
      }
optradbut : radio_button {
         width = 8 ;
         fixed_width = true ;
      }
actbuttom : button {
            width = 10 ;
            fixed_width=true;
            alignment=centered;
         }
bigdialimag : image {
         aspect_ratio = 0.65 ;
         color = -2 ;
         key = "timage" ;
         width = 40 ;
      }
bigdialimag2 : image {
         aspect_ratio = 0.65 ;
         color = -2 ;
         key = "timage" ;
         width = 50 ;
      }
bigdialimag3 : image {
         aspect_ratio = 0.65 ;
         color = -2 ;
         key = "timage" ;
         width = 60 ;
      }
bigdialimag4 : image {
         aspect_ratio = 0.65 ;
         color = -2 ;
         key = "timage" ;
         width = 70 ;
      }
bigdialimag5 : image {
         aspect_ratio = 0.65 ;
         color = -2 ;
         key = "timage" ;
         width = 75 ;
      }
butimag :image_button {
            width=24;
            aspect_ratio=0.65;
            color = -2 ;
         }
//
t_box : number_box {
    key = "t-t0";
    label = "T:";
    mnemonic = "T";
}
t1_box : number_box {
    key = "t-t1";
    label = "T1:";
    mnemonic = "T";
}
tx_box : number_box {
    key = "t-tx";
    label = "Tx H:";
    mnemonic = "H";
}
h_box : number_box {
    key = "t-h0";
    label = "H:";
    mnemonic = "H";
}
h1_box : number_box {
    key = "t-h1";
    label = "H1:";
    mnemonic = "H";
}
h2_box : number_box {
    key = "t-h2";
    label = "H2:";
    mnemonic = "2";
}
l_box : number_box {
    key = "t-l0";
    label = "L:";
    mnemonic = "L";
}
l1_box : number_box {
    key = "t-l1";
    label = "L1:";
    mnemonic = "L";
}
xoff_box : number_box {
    key = "t-xoff";
    label = "dt X:"; // MSG 001
    mnemonic = "X";
}
xoff1_box : number_box {
    key = "t-xoff1";
    label = "dt X1:"; // MSG 001
    mnemonic = "1";
}
xoff2_box : number_box {
    key = "t-xoff2";
    label = "dt X2:"; // MSG 001
    mnemonic = "2";
}
yoff_box : number_box {
    key = "t-yoff";
    label = "dt Y:"; // MSG 002
    mnemonic = "Y";
}
woff_box : number_box {
    key = "t-woff";
    label = "WO [weld offset]:"; // MSG 003
    mnemonic = "W";
}
cgap_box : number_box {
    key = "t-cg";
    label = "CG [cutting gap]:"; // MSG 004
    mnemonic = "G";
}
d_box : number_box {
    key = "t-d0";
    label = "D:";
    mnemonic = "D";
}
d1_box : number_box {
    key = "t-d1";
    label = "D1:";
    mnemonic = "D";
}
d2_box : number_box {
    key = "t-d2";
    label = "D2:";
    mnemonic = "D";
}
d3_box : number_box {
    key = "t-d3";
    label = "D3:";
    mnemonic = "D";
}
d4_box : number_box {
    key = "t-d4";
    label = "D4:";
    mnemonic = "D";
}
a_box : number_box {
    key = "t-a0";
    label = "A [Angle]:"; // MSG 005
    mnemonic = "A";
}
a1_box : number_box {
    key = "t-a1";
    label = "A1 [Angle]:"; // MSG 006
    mnemonic = "1";
}
a2_box : number_box {
    key = "t-a2";
    label = "A2 [Angle]:"; // MSG 006
    mnemonic = "2";
}
x_box : number_box {
    key = "t-x0";
    label = "X:";
    mnemonic = "X";
}
x1_box : number_box {
    key = "t-x1";
    label = "X1:";
    mnemonic = "X";
}
y_box : number_box {
    key = "t-y0";
    label = "Y:";
    mnemonic = "Y";
}
y1_box : number_box {
    key = "t-y1";
    label = "Y1:";
    mnemonic = "Y";
}
r_box : number_box {
    key = "t-r0";
    label = "R:";
    mnemonic = "R";
}
ri_box : number_box {
    key = "t-r0";
    label = "R int:";
    mnemonic = "R";
}
r1_box : number_box {
    key = "t-r1";
    label = "R1:";
    mnemonic = "R";
}
x2_box : number_box {
    key = "t-x2";
    label = "X2:";
    mnemonic = "X";
}
y2_box : number_box {
    key = "t-y2";
    label = "Y2:";
    mnemonic = "Y";
}
r2_box : number_box {
    key = "t-r2";
    label = "R2:";
    mnemonic = "R";
}
x3_box : number_box {
    key = "t-x3";
    label = "X3:";
    mnemonic = "X";
}
y3_box : number_box {
    key = "t-y3";
    label = "Y3:";
    mnemonic = "Y";
}
r3_box : number_box {
    key = "t-r3";
    label = "R3:";
    mnemonic = "R";
}
x4_box : number_box {
    key = "t-x4";
    label = "X4:";
    mnemonic = "X";
}
y4_box : number_box {
    key = "t-y4";
    label = "Y4:";
    mnemonic = "Y";
}
r4_box : number_box {
    key = "t-r4";
    label = "R4:";
    mnemonic = "R";
}
aa_box : number_box {
    key = "medida_a" ;
    label = "A:" ;
    mnemonic = "A" ;
}
bb_box : number_box {
    key = "medida_b" ;
    label = "B:" ;
    mnemonic = "B" ;
}
cc_box : number_box {
    key = "medida_c" ;
    label = "C:" ;
    mnemonic = "C" ;
}
dd_box : number_box {
    key = "medida_d" ;
    label = "D:" ;
    mnemonic = "D" ;
}
nn_box : number_box {
    key = "t-nn";
    label = "n [parts]:"; // MSG 007
    mnemonic = "n";
}
seams1_opt : optradbut {
    key = "t-1s";
    label = "Seam 1 only"; // MSG 008
    mnemonic = "1";
}
seams2_opt : optradbut {
    key = "t-2s";
    label = "Seams 1 and 2"; // MSG 009
    mnemonic = "2";
}
seams3_opt : optradbut {
    key = "t-3s";
    label = "Seams 1, 2 and 3"; // MSG 010
    mnemonic = "3";
}
exist_opt : opttogg {
    key = "t-exist";
    label = "Existing pipe"; // MSG 011
    mnemonic = "x";
}
nohole_opt : opttogg {
    key = "t-nhole";
    label = "Main without hole"; // MSG 012
    mnemonic = "w";
}
plane1_but : actbuttom {
            label="Plane 1...";  // MSG 013
            mnemonic = "1";
            key="t_plane1";
}
plane2_but : actbuttom {
            label="Plane 2...";  // MSG 014
            mnemonic = "2";
            key="t_plane2";
}
nocut_but : actbuttom {
            label="No cut"; // MSG 015
            mnemonic = "N";
            key="t_nocut";
}
half_rad : optradbut {
            label="Two halves"; // MSG 016
            mnemonic = "h";
            key="t_2half";
}
tot_rad : optradbut {
            label="One piece "; // MSG 017
            mnemonic = "p";
            key="t_1piece";
}
//
px1_box : number_box {
    key = "t-px1";
    label = "PX1:";
    mnemonic = "X";
}
py1_box : number_box {
    key = "t-py1";
    label = "PY1:";
    mnemonic = "Y";
}
pz1_box : number_box {
    key = "t-pz1";
    label = "PZ1:";
    mnemonic = "Z";
}
px2_box : number_box {
    key = "t-px2";
    label = "PX2:";
    mnemonic = "X";
}
py2_box : number_box {
    key = "t-py2";
    label = "PY2:";
    mnemonic = "Y";
}
pz2_box : number_box {
    key = "t-pz2";
    label = "PZ2:";
    mnemonic = "Z";
}
px3_box : number_box {
    key = "t-px3";
    label = "PX3:";
    mnemonic = "X";
}
py3_box : number_box {
    key = "t-py3";
    label = "PY3:";
    mnemonic = "Y";
}
pz3_box : number_box {
    key = "t-pz3";
    label = "PZ3:";
    mnemonic = "Z";
}
ax_box : number_box {
    key = "t-ax";
    label = "AX [Angle]:"; // MSG 018
    mnemonic = "A";
}
ay_box : number_box {
    key = "t-ay";
    label = "AY [Angle]:"; // MSG 019
    mnemonic = "A";
}
measoptlist : popup_list {
            edit_width = 4;
            list = "Out\nMid\nIn";  // MSG 020
           }
backbutton : button {
         width=16;
         label= " << Back "; // MSG 021
         key="t-back";
      }
configbutton : button {
         width=16;
         label= " Settings... "; // MSG 022
         key="t-conf";
      }
///
//
//-------- For Configuration -------
opmin        : optradbut { 
               label = "In" ; // MSG 023
               mnemonic = "I" ;
}
opmmid       : optradbut { 
               label = "Mid" ; // MSG 024
               mnemonic = "M" ;
}
opmout       : optradbut { 
               label = "Out" ; // MSG 025
               mnemonic = "O" ;
}
//
//-------- Subassemblies shared across several dialogues -------
//
gen0col : boxed_column {
      key = "tgener0" ;
      label = "Rectangle" ; // MSG 026
x_box;
y_box;
r_box;
}
gen1col : boxed_column {
      key = "tgener1" ;
      label = "Bottom" ; // MSG 026
x1_box;
y1_box;
r1_box;
}
//
gen1coldia : boxed_column {
      key = "tgenerdia" ;
      label = "Bottom" ; // MSG 027
x1_box;
y1_box;
r1_box;
   : text {
         label = "or" ; // MSG 028
      }
d1_box;
}
//
gen2col : boxed_column {
      key = "tgener2" ;
      label = "Top" ; // MSG 029
x2_box;
y2_box;
r2_box;
}
//
gen2coldia : boxed_column {
      key = "tgenerdia2" ;
      label = "Top" ; // MSG 030
x2_box;
y2_box;
r2_box;
   : text {
         label = "or" ; // MSG 031
      }
d2_box;
}
rowseam : boxed_radio_row {
      label = "Seams"; // MSG 032
      key = "t-rowseam";
      seams1_opt;
      seams2_opt;
}
colseam : boxed_radio_column {
      label = "Seams"; // MSG 033
      key = "t-colseam";
      seams1_opt;
      seams2_opt;
}
rowseam3 : boxed_radio_row {
      label = "Seams"; // MSG 034
      key = "t-rowseam3";
      seams1_opt;
      seams2_opt;
      seams3_opt;
}
colseam3 : boxed_radio_column {
      label = "Seams"; // MSG 035
      key = "t-colseam3";
      seams1_opt;
      seams2_opt;
      seams3_opt;
}
//
//
//
//-------- The dialogues themselves -------
//
dl00 :dialog {
   label="LITIO 2.0 - (c) J.M. Lavric 2008 + 2004 "; // MSG 036
   key="d-dl00";
   :boxed_row {
      label = "Select a category..."; // MSG 037
      :column {
         : butimag {
            key="t-imag1c";
         }
         : butimag {
            key="t-imag5c";
         }
         : butimag {
            key="t-imag9c";
         }
      }
      :column {
         : butimag {
            key="t-imag2c";
         }
         : butimag {
            key="t-imag6c";
         }
         : butimag {
            key="t-imag10c";
         }
      }
      :column {
         : butimag {
            key="t-imag3c";
         }
         : butimag {
            key="t-imag7c";
         }
         : butimag {
            key="t-imag11c";
         }
      }
      :column {
         : butimag {
            key="t-imag4c";
         }
         : butimag {
            key="t-imag8c";
         }
         : butimag {
            key="t-imag12c";
         }
      }
   }
   spacer_1;
   :row {
   spacer_1;
   configbutton;
//      }
   }
   :row {
   errtile;
   }
   :row {
      ok_cancel;
   }
}
//
dl0 :dialog {
   label="LITIO v. 2.0 - (c) J.M. Lavric 2008 + 2004 - Select pattern"; // MSG 041
   key="d-dl0";
   :row {
      :column {
         : butimag {
            key="t-imag1";
         }
         : butimag {
            key="t-imag4";
         }
         : butimag {
            key="t-imag7";
         }
      }
      :column {
         : butimag {
            key="t-imag2";
         }
         : butimag {
            key="t-imag5";
         }
         : butimag {
            key="t-imag8";
         }
      }
      :column {
         : butimag {
            key="t-imag3";
         }
         : butimag {
            key="t-imag6";
         }
         : butimag {
            key="t-imag9";
         }
      }
   }
   spacer_1;
   :row {
      children_fixed_width=true;
      :button {
         width=16;
         label= " << Back "; // MSG 042
         key="t-back";
      }
   spacer_1;
   configbutton;
   spacer_1;
      :button {
         width=16;
         label= " < More "; // MSG 043
         key="t-more-";
      }
      :button {
         width=16;
         label= " More > "; // MSG 044
         key="t-more+";
      }
   }
   :row {
   errtile;
   }
   :row {
      ok_cancel;
   }
}
//
//-------- dialogue: configuration -------
//
//
dl000 : dialog { 
   key = "t-diacnfg" ;
   label = "LITIO v. 2.0 - (c) J.M. Lavric 2008 + 2004 - Settings" ; // MSG 045
   : row {
   key = "t_fdconf" ;
// toda la parte superior
      : column {
         bigdialimag2 ;
         : boxed_column {
            label = "Trim 3D [Surfaces] and Branches"; // MSG 053
            : measoptlist {
             key = "t-trimmer";
             label = "Trimmer:"; // MSG 054
             mnemonic = "T";
            }
            : measoptlist {
             key = "t-trimmed";
             label = "Trimmed:"; // MSG 055
             mnemonic = "d";
            }
             : popup_list {
             key = "t-trimpick";
             label = "Object to trim:"; // MSG 056
             mnemonic = "P";
             edit_width = 12;
             list = "Keep end 1\nKeep end 2"; // MSG 057
            }
             : number_box {
             key = "t-trimasl";
             label = "ASL Additional segment length:"; // MSG 056
             mnemonic = "A";
            }
         } // end boxed column
      } // end column de figura y trim3D
// 
// columna de Dimensions contact groves y dialogue color
      : column {
         : boxed_column {
           label = "Dimensions"; // MSG 046
           : row {
               : measoptlist {
               key = "t-meas1";
               label = "End 1:"; // MSG 047
               mnemonic = "1";
              }
              : measoptlist {
               key = "t-meas2";
               label = "End 2:"; // MSG 048
               mnemonic = "2";
              }
           }
           : row {
              : measoptlist {
               key = "t-meas3";
               label = "End 3:"; // MSG 048
               mnemonic = "3";
              }
              : measoptlist {
               key = "t-meas4";
               label = "End 4:"; // MSG 049
               mnemonic = "4";
              }
           } // end row
         } // end boxed column Dimensions
         : boxed_column {
           label = "Bends and Bifurcations"; // MSG 050
              : measoptlist {
               key = "t-meacnt";
               label = "Contact:"; // MSG 051
               mnemonic = "C";
              }
         }
         : boxed_column {
           label = "Groove Dimensions"; // MSG 052
              : number_box {
                key = "t_gr1";
                label = "Gr1:";
                mnemonic = "1";
              }
              : number_box {
                key = "t_gr2";
                label = "Gr2:";
                mnemonic = "2";
              }
              : number_box {
                key = "t_gr3";
                label = "Gr3:";
                mnemonic = "3";
              }
              : number_box {
                key = "t_gr4";
                label = "Gr4:";
                mnemonic = "4";
              }
         } // End boxed column Grooves
         : boxed_column {
           label = "Dialogue Image Color"; // MSG 058
             : popup_list {
             label = "Background:"; // MSG 059
             mnemonic = "B";
             key = "t-imagcol";
             edit_width = 12;
             list = "Black\nLight Grey\nDark Grey\nScr.bckgrnd.\nDlg.bckgrnd."; // MSG 060
             }
         } // End boxed column dialogue color
      } // end column
//
      : column {
         key = "t-configcontrols" ;
         :boxed_column {
            label = "Draw" ; // MSG 060
            : opttogg {
               key = "t_d3dm" ;
               label = "3D Mesh" ; // MSG 061
               mnemonic = "3" ;
            }
            : opttogg {
               key = "t_d2dm" ;
               label = "2D unfolded Mesh" ; // MSG 062
               mnemonic = "u" ;
            }
            : opttogg {
               key = "t_d2dc" ;
               label = "2D contour" ; // MSG 063
               mnemonic = "2" ;
            }
            : opttogg {
               key = "t_d2dg" ;
               label = "2D Grooved" ; // MSG 064
               mnemonic = "G" ;
            }
         }
         :boxed_column {
            label = "Text insertions" ; // MSG 065
            tx_box ;
            : boxed_radio_column {
               label = "Angles" ; // MSG 066
               : optradbut {
                  key = "ang-no";
                  label = "No angles"; // MSG 067
                  mnemonic = "N";
               }
               : optradbut {
                  key = "ang-yes";
                  label = "Bend angles"; // MSG 068
                  mnemonic = "a";
               }
               : optradbut {
                  key = "ang-180";
                  label = "180 - angles"; // MSG 069
                  mnemonic = "C";
               }
           }
            : opttogg {
               key = "t_txrad" ;
               label = "Radius" ; // MSG 070
               mnemonic = "R" ;
            }
         } // end boxed column text insertions
         : boxed_column {
            label = "Precision" ; // MSG 073
            : popup_list {
            label = "Divisions:"; // MSG 074
            mnemonic = "P";
            key = "t-listprec";
            edit_width = 6;
            list = "80\n96\n128\n144\n160\n180\n200\n240\n300\n360";
            }
         } // END boxed_column ** label = "Precision" ;
      } // end column
//
   } // en row
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
} // end dl000
//
// ----------------- ###################### ///////////////
//
//
//-------- dialogue: rounded rectangle to rounded rectangle -------
//
dl8 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Rounded rectangle to rounded rectangle " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
            rowseam;
      }
      : column {
         key = "t-dialinput" ;
         width = 20 ;
         gen1col;
         gen2col;
          : boxed_column {
            key = "tmeas" ;
            label = "Other Dimensions" ;
            t_box;
            h_box;
            xoff_box;
            yoff_box;
          }
      }
   }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl9 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bifurcation - Rounded rectangle to rounded rectangle " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
            rowseam;
      }
      : column {
        key = "t-dialinput" ;
        gen1col;
        gen2col;
          : boxed_column {
            key = "tmeas" ;
            label = "Other Dimensions" ;
            t_box;
            h_box;
            xoff_box;
            yoff_box;
          }
      }
   }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl31 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Rounded rectangle to rounded rectangle - cut" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
  : boxed_row {
            width = 20 ;
            key = "tcut" ;
            label = "Cutting planes" ;
            plane1_but;
            plane2_but;
   }
            }
      : column {
         width = 20 ;
         key = "t-dialinput" ;
         gen1col;
         gen2col;
         : boxed_column {
            key = "tmeas" ;
            label = "Other Dimensions" ;
            t_box;
            h_box;
            xoff_box;
            yoff_box;
         }
    }
    }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
//
//-------- dialogue: Bifurcation and Bends -------
//
dl17 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Cylinder to cone Bifurcation" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            l_box;
            d1_box;
            d2_box;
            a_box;
       }
    }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl16 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Cylinder to cone Bend" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            l_box;
            d1_box;
            d2_box;
            a_box;
       }
    }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl11 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Cone to Cylinder Bifurcation" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            l_box;
            d1_box;
            d2_box;
            a_box;
       }
    }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl10 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Cone to Cylinder Bend" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            l_box;
            d1_box;
            d2_box;
            a_box;
       }
    }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl14 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Cone to Cone Bifurcation" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            l_box;
            d1_box;
            d2_box;
            a_box;
       }
    }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl13 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Cone to Cone Bend" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            l_box;
            d1_box;
            d2_box;
            a_box;
       }
    }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
//
//-------- dialogue: various -------
//
dl28 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Cut Cylinder" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
: column {
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            d_box;
         }
plane1_but;
plane2_but;
    }
  }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl1 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Cone" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            d1_box;
            d2_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl2 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Offset Cone" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            d1_box;
            d2_box;
            xoff_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl3 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Round to round Bifurcation" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
            rowseam;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            d1_box;
            d2_box;
            xoff_box;
            yoff_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
//
//-------- dialogue: more dialogues  -------
//
dl12 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bend - Cylinders " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : column {
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            d_box;
            l_box;
            a_box;
       }
           exist_opt;
        }
     }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl21 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Branch - Cylinders " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : column {
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            h1_box;
            d_box;
            l_box;
            a_box;
         }
      : boxed_column {
           exist_opt;
           nohole_opt;
      }
           }
     }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl15 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bifurcation - Cylinders " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : column {
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            l_box;
            l1_box;
            d_box;
            a_box;
            a1_box;
         }
           exist_opt;
        }
     }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
//
//-------- dialogue: more dialogues [2] -------
//
dl18 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bend - Cylinders " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            d_box;
            a_box;
            r1_box;
            nn_box;
            l_box;
            l1_box;
            cgap_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl29 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Cut Cylinder - Rounded rectangle " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
: column {
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            x1_box;
            y1_box;
            r1_box;
         }
plane1_but;
plane2_but;
    }
  }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl4 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Rectangle to round " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
            rowseam;
        }
      : column {
         key = "t-dialinput" ;
         gen1col;
         : boxed_column {
            key = "tmeas" ;
            label = "Other Dimensions" ;
            d2_box;
            t_box;
            h_box;
         }
      }
   }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl5 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Rectangle to round - Offset" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
            rowseam;
        }
      : column {
         key = "t-dialinput" ;
         gen1col;
      : boxed_column {
            key = "tmeas" ;
            label = "Other Dimensions" ;
            t_box;
            h_box;
            d2_box;
            xoff_box;
            yoff_box;
      }
      }
   }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl6 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bifurcation - Rectangle to round " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
            rowseam;
        }
      : column {
         key = "t-dialinput" ;
         gen1col;
      : boxed_column {
            key = "tmeas" ;
            label = "Other Dimensions" ;
            t_box;
            h_box;
            d2_box;
            xoff_box;
            yoff_box;
      }
      }
   }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
//
//-------- dialogue: more dialogues [3] -------
//
dl7 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Rectangle to Rectangle - Hopper " ;
   : row {
     key = "t_fdia" ;
         : column {
            bigdialimag;
         }
         : column {
             key = "t-dialinput" ;
             width=20;
             : boxed_column {
               key = "tgener1" ;
               label = "Bottom" ;
               x1_box;
               y1_box;
             }
             : boxed_column {
               key = "tgener2" ;
               label = "Top" ;
               x2_box;
               y2_box;
             }
             : boxed_column {
               key = "tmeas" ;
               label = "Other Dimensions" ;
               t_box;
               h_box;
               xoff_box;
               yoff_box;
             }
         }
    }
    : row {
      errtile;
    }
    :row {
      ok_cancel;
    }
}
dl32 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Rectangle to Rectangle - Cut " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
: boxed_row {
    key = "t-cuttname" ;
    label = "Cutting planes " ;
    plane1_but;
    plane2_but;
}
        }
      : column {
         key = "t-dialinput" ;
           : boxed_column {
      key = "tgener1" ;
      label = "Bottom" ;
x1_box;
y1_box;
}
: boxed_column {
      key = "tgener2" ;
      label = "Top" ;
x2_box;
y2_box;
}
      : boxed_column {
            key = "tmeas" ;
            label = "Other Dimensions" ;
            t_box;
            h_box;
            xoff_box;
            yoff_box;
      }
   }
}
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
//
//-------- dialogue: more dialogues [4] -------
//
dl20 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Inlet on Cone " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
            : boxed_radio_row {
             label = "Inlet development" ;
             half_rad;
             tot_rad;
}
        }
      : column {
         key = "t-dialinput" ;
          : boxed_column {
            key = "tinmeas" ;
            label = "Inlet Dimensions" ;
            t_box;
            h1_box;
            d_box;
            l_box;
         }
         : boxed_column {
            key = "tcomeas" ;
            label = "Cone Dimensions" ;
            d1_box;
            d2_box;
            h_box;
         }
      }
    }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl19 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Inlet on Cone " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : column {
         key = "t-dialinput" ;
          : boxed_column {
            key = "tinmeas" ;
            label = "Inlet Dimensions" ;
            t_box;
            h1_box;
            d_box;
            l_box;
         }
         : boxed_column {
            key = "tcomeas" ;
            label = "Cone Dimensions" ;
            d1_box;
            d2_box;
            h_box;
         }
      }
    }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl30 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Rectangular duct - Bend" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
: column {
            x1_box;
            y1_box;
            t_box;
            t1_box;
            woff_box;
}
: column {
            l_box;
            l1_box;
            r1_box;
            a_box;
}
      }
   }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
//
//-------- dialogue: cones + inlets -------
//
dl26 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Intersection - Cone with rectangular duct" ; /* angle */
   : row {
      key = "t_fdia" ;
      : column {
        bigdialimag;
         : boxed_row {
            label="Inlet position";
            : column {
            h1_box;
            a_box;
            }
            : column {
            yoff_box;
            }
         }
      }
      : column {
          : boxed_column {
            label = "Cone";
            width=20;
            d1_box;
            d2_box;
            h_box;
            t_box;
          }
          : boxed_column {
            label = "Inlet";
            width=20;
            x1_box;
            y1_box;
            r1_box;
            t1_box;
            l_box;
            a1_box;
            }
      }
   }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
//
//
dl25 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Intersection - Cone with rectangular duct" ; /* 90 */
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
            : boxed_row {
              label="Inlet position";
              xoff_box;
              yoff_box;
            }
      }
      : column {
: boxed_row {
label="Cone";
  : column {
            width=20;
            d1_box;
            d2_box;
            h_box;
            t_box;
  }
}
: boxed_row {
label="Inlet";
   : column {
            width=20;
            x1_box;
            y1_box;
            r1_box;
            t1_box;
            h1_box;
            a1_box;
  }
}
}
   }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
//
//
dl22 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Intersection - Cone with round duct" ; /* 90 */
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
            : boxed_row {
               label="Inlet position";
                : column {
                     width=20;
                     xoff_box;
                }
                : column {
                     width=20;
                     yoff_box;
                }
            }
      }
      : column {
: boxed_row {
label="Cone";
  : column {
            width=20;
            d1_box;
            d2_box;
            h_box;
            t_box;
  }
}
: boxed_row {
label="Inlet";
   : column {
            width=20;
            d_box;
            t1_box;
            h1_box;
            a1_box;
  }
}
}
   }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
//
//
dl23 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Intersection - Cone with round duct" ; /* angle */
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
      }
      : column {
          : boxed_column {
            label="Cone";
            width=20;
            d1_box;
            d2_box;
            h_box;
            t_box;
          }
          : boxed_column {
            label="Inlet";
            width=20;
            d_box;
            t1_box;
            l_box;
            a1_box;
          }
      }
   }
   : boxed_row {
            label="Inlet position";
            h1_box;
            yoff_box;
            a_box;
   }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
//
dlp1 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Plane 1 - Cuts off what is below" ; /* Plane 2 ... above */
: column {
   : boxed_row {
      label = "Point P1" ;
      px1_box;
      py1_box;
      pz1_box;
   }
   : boxed_column {
    label = "and" ;
      : boxed_row {
          label = "Points P2 and P3" ;
        : column {
          px2_box;
          px3_box;
        }
        : column {
          py2_box;
          py3_box;
        }
        : column {
          pz2_box;
          pz3_box;
        }
      }
   : text {
         label = "or" ;
   }
      : boxed_row {
        label = "Angles relative to axes X and Y" ;
           ax_box;
           ay_box;
      }
}
}
   :row {
      errtile;
   }
   :row {
//--------      nocut_but;  ---- por ahora se obvia
      ok_cancel;
   }
}
dl2unp : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Offset Cone - Angle" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            a_box;
            d1_box;
            d2_box;
            xoff_box;
            yoff_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl3dif : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Round to Round Bifurcation - Non symmetrical " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag;
        }
     : column {
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            d_box;
         }
      : boxed_column {
            label = "Top right" ;
            d1_box;
            h1_box;
            x1_box;
         }
      : boxed_column {
            label = "Top left" ;
            d2_box;
            h_box;
            x2_box;
         }
       }
     }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
dl5unp : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Rectangle to Round - Offset - Angle" ;
   : row {
      key = "t_fdia" ;
      : column {
           : bigdialimag {
            width = 60 ;
           }
:row {
           colseam ;

   : boxed_column {
    label = "Dimensions";
            : measoptlist {
            key = "t-meas1";
            label = "Side 1:";
            mnemonic = "1";
           }
           : measoptlist {
            key = "t-meas2";
            label = "Side 2:";
            mnemonic = "2";
           }
        }
}


      }

      : column {
         key = "t-dialinput" ;
         gen1col;
      : boxed_column {
            label = "Top" ;
            d2_box;
            a_box;
      }
      : boxed_column {
            key = "tmeas" ;
            label = "Other Dimensions" ;
            t_box;
            h_box;
            xoff_box;
            yoff_box;
      }
      }
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//
dl8gen : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Rectangle to Rectangle - Offset - Angle [generic]" ;
   : row {
      key = "t_fdia" ;
      : column {
           : bigdialimag {
            width = 60 ;
           }
:row {
           colseam ;
}
      }

      : column {
         key = "t-dialinput" ;
         gen1col;
         gen2col;
      : boxed_column {
            key = "tmeas" ;
            label = "Other Dimensions" ;
            t_box;
            h_box;
            a_box;
            xoff_box;
            yoff_box;
      }
      }
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//////
dlgt5 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Rectangle to Rectangle - Offset - Angle [generic]" ;
   : row {
      key = "t_fdia" ;
      : column {
           : bigdialimag {
            width = 70 ;
           }
:row {
           rowseam ;
}
      }

      : column {
         key = "t-dialinput" ;
         gen1col;
         gen2col;
      : boxed_column {
            key = "tmeas" ;
            label = "Other Dimensions" ;
            t_box;
            h_box;
            a_box;
            xoff_box;
            yoff_box;
      }
      }
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
////
dlgu2 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Round Cylinder" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag2;
      }
      : column {
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            d1_box;
         }
      exist_opt;
     }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
/////
dlgu3 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Cylinder - Fillet rectangle" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag3;
            }
      : column {
         width = 20 ;
         key = "t-dialinput" ;
         gen1col;
         : boxed_column {
            key = "tmeas" ;
            label = "Other Dimensions" ;
            t_box;
            h_box;
         }
    }
    }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//////
dlgu4 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Cylinder - Ellipse" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag3;
            }
      : column {
: boxed_column {
      key = "tgener1" ;
      label = "Ellipse" ; // MSG 026
x1_box;
y1_box;
}
         : boxed_column {
            key = "tmeas" ;
            label = "Other Dimensions" ;
            t_box;
            h_box;
         }
    }
    }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//////
dlgu5 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Cylinder - Polygon" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag3;
            }
      : column {
: boxed_column {
      key = "tgener1" ;
      label = "Polygon" ; // MSG 026
d1_box;
r1_box;
nn_box;
}
         : boxed_column {
            key = "tmeas" ;
            label = "Other Dimensions" ;
            t_box;
            h_box;
         }
    }
    }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//////
dlga4 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Rectangle [fillet] to round " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : column {
         key = "t-dialinput" ;
         gen1col;
         : boxed_column {
            key = "tmeas" ;
            label = "Other Dimensions" ;
            d2_box;
            t_box;
            h_box;
         }
            colseam3;
      }
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//////
dlgb4 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Rectangle [fillet] to round - Offset " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag5;
        }
      : column {
         key = "t-dialinput" ;
         gen1col;
         : boxed_column {
            key = "tmeas" ;
            label = "Other Dimensions" ;
            d2_box;
            t_box;
            h_box;
            xoff_box;
            yoff_box;
         }
            colseam3;
      }
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//////
dlgf3 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Offset Cone - Angle" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag3;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            a_box;
            d1_box;
            d2_box;
            xoff_box;
            yoff_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
/////
dlgb5 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Offset Cone - Parallel" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag3;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            d1_box;
            d2_box;
            xoff_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
/////
dlga5 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Cone" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag2;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            d1_box;
            d2_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
/////
dlgb6 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Rectangle to Rectangle - Offset - Parallel [generic]" ;
   : row {
      key = "t_fdia" ;
      : column {
           : bigdialimag {
            width = 70 ;
           }
:row {
           rowseam3 ;
}
      }

      : column {
         key = "t-dialinput" ;
         gen1col;
         gen2col;
      : boxed_column {
            key = "tmeas" ;
            label = "Other Dimensions" ;
            t_box;
            h_box;
            xoff_box;
            yoff_box;
      }
      }
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
////
dlgv4 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Rectangle [fillet] to Ellipse - Offset " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : column {
         key = "t-dialinput" ;
         gen1col;
         : boxed_column {
            key = "tmeas" ;
            label = "Other Dimensions" ;
            x2_box;
            y2_box;
            t_box;
            h_box;
            xoff_box;
            yoff_box;
         }
      }
   }
            rowseam3;
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//////
dlgf4 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Rectangle [fillet] to round - Offset - Angle" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
            rowseam;
        }
      : column {
         key = "t-dialinput" ;
         gen1col;
         : boxed_column {
            key = "tmeas" ;
            label = "Other Dimensions" ;
            d2_box;
            a_box;
            t_box;
            h_box;
            xoff_box;
            yoff_box;
         }
      }
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//////
dlgc6 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Rectangle to Rectangle - Offset [Hopper] " ;
   : row {
     key = "t_fdia" ;
         : column {
            bigdialimag3;
         }
         : column {
             key = "t-dialinput" ;
             width=20;
             : boxed_column {
               key = "tgener1" ;
               label = "Bottom" ;
               x1_box;
               y1_box;
             }
             : boxed_column {
               key = "tgener2" ;
               label = "Top" ;
               x2_box;
               y2_box;
             }
             : boxed_column {
               key = "tmeas" ;
               label = "Other Dimensions" ;
               h_box;
               xoff_box;
               yoff_box;
             }
         }
    }
    : row {
: column {
      : text {
         label = "Important: Dimensions 1 and 2 are all interior." ;
      }
      errtile;
}
    }
    :row {
      backbutton ;
      ok_cancel;
      configbutton;
    }
}
///////
dlgb1 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Round Cylinder - Cut twice " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag3;
      }
      : column {
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            d1_box;
            a_box;
            a1_box;
         }
            exist_opt;
     }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
/////
dlga1 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Round Cylinder - Cut once " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag3;
      }
      : column {
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            d1_box;
            a_box;
         }
            exist_opt;
     }
    }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
/////
dlgw6 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bend - Rectangular [fillet] Cylinder - N parts " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : column {
      gen1col ;
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            a_box;
            r_box;
            nn_box;
         }
      }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///////
dlgy4 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bifurcation with intermediate part - Circle " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : column {
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            d1_box;
            t_box;
            a_box;
            r_box;
         }
           exist_opt;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///////
dlgd2 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Cone to Cylinder Bifurcation" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            l_box;
            d1_box;
            d2_box;
            a_box;
       }
    }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
/////
dlgc2 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Cone to Cylinder Bend" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            l_box;
            d1_box;
            d2_box;
            a_box;
       }
    }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//////
dlge3 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Cone to Cone Bifurcation" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            l_box;
            d1_box;
            d2_box;
            a_box;
       }
    }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
/////
dlgd3 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Cone to Cone Bend" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            l_box;
            d1_box;
            d2_box;
            a_box;
       }
    }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//////
dlge4 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Cylinder to Cone Bifurcation" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            l_box;
            d1_box;
            d2_box;
            a_box;
       }
    }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
/////
dlgd4 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Cylinder to Cone Bend" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            l_box;
            d1_box;
            d2_box;
            a_box;
       }
    }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//////
dlgw1 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bend - Conical - N parts" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            a_box;
            r_box;
            d1_box;
            d2_box;
            nn_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///////
dlgw3 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bend - Rectangular [fillet] Cylinder " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : column {
      gen1col ;
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            a_box;
            h_box;
            l_box;
         }
      }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///////
dlga3 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bend - Circular Cylinder " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : column {
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            a_box;
            d1_box;
            h_box;
            l_box;
         }
          exist_opt;
      }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///////
dlgv3 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bifurcation - Rectangular [fillet] Cylinder " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : column {
      gen1col ;
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            a_box;
            h_box;
            l_box;
         }
      }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///////
dlgy3 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bifurcation - Circular Cylinder " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : column {
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            a_box;
            d1_box;
            h_box;
            l_box;
         }
          exist_opt;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///////
dlgv2 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Offset Pipe [S] - Rectangular [fillet] Cylinder " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : column {
      gen1col ;
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            l_box;
            l1_box;
            xoff_box;
         }
      }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///////
dlgy2 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Offset Pipe [S] - Circular Cylinder " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : column {
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            d1_box;
            h_box;
            l_box;
            l1_box;
            xoff_box;
         }
          exist_opt;
        }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///////
dlgw2 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bifurcation Offset Pipe [S] - Rectangular [fillet] Cylinder " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : column {
      gen1col ;
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            l_box;
            l1_box;
            xoff_box;
         }
      }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///////
dlgz2 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bifurcation Offset Pipe [S] - Circular Cylinder " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : column {
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            d1_box;
            h_box;
            l_box;
            l1_box;
            xoff_box;
         }
          exist_opt;
        }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///////
dlgc3 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bifurcation - Fillet Rectangle to Fillet Rectangle" ;
   : row {
      key = "t_fdia" ;
      : column {
           bigdialimag4;
           rowseam ;
      }
      : column {
         key = "t-dialinput" ;
         gen1col;
         gen2col;
      : boxed_column {
            key = "tmeas" ;
            label = "Other Dimensions" ;
            t_box;
            h_box;
            xoff_box;
            yoff_box;
      }
      }
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///////
dlgc4 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bifurcation - Fillet Rectangle to Circle" ;
   : row {
      key = "t_fdia" ;
      : column {
           bigdialimag4;
           }
      : column {
         key = "t-dialinput" ;
         gen1col;
      : boxed_column {
            key = "tmeas" ;
            label = "Other Dimensions" ;
            t_box;
            h_box;
            d2_box;
            xoff_box;
            yoff_box;
      }
           colseam ;
      }
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///////
dlgc5 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bifurcation - Circle to Circle [2 Cones] " ;
   : row {
      key = "t_fdia" ;
      : column {
           bigdialimag4;
      }
      : column {
      : boxed_column {
            key = "tmeas" ;
            label = "Other Dimensions" ;
            t_box;
            h_box;
            d1_box;
            d2_box;
            xoff_box;
            yoff_box;
      }
           colseam ;
      }
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//////
dlgb3 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bifurcation - Circular Cylinder - Non Symmetric " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : column {
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            d1_box;
            h_box;
            l_box;
            a_box;
            l1_box;
            a1_box;
         }
          exist_opt;
         } 
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///////
dlgy5 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bifurcation - Circle to Circle [2 Cones] - Non parallel " ;
   : row {
      key = "t_fdia" ;
      : column {
           bigdialimag4;
      }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            d1_box;
            d2_box;
            l_box;
            a_box;
      }
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//////
dlgf5 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bifurcation - Circle to Circle [3 Diameters] - Non Symmetric " ;
   : row {
      key = "t_fdia" ;
      : column {
           bigdialimag4;
      }
     : column {
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            d1_box;
         }
      : boxed_column {
            label = "Top left" ;
            d2_box;
            h2_box;
            xoff2_box;
         }
      : boxed_column {
            label = "Top right" ;
            d_box;
            h_box;
            xoff_box;
         }
       }
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//////
dlgx3 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Trifurcation - Circle to Circle [3 Cones] " ;
   : row {
      key = "t_fdia" ;
      : column {
           bigdialimag4;
      }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            d1_box;
            d2_box;
            xoff_box;
      }
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//////
dlgx5 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Trifurcation - Circle to Circle [3 Cones] - Non parallel " ;
   : row {
      key = "t_fdia" ;
      : column {
           bigdialimag4;
      }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            d1_box;
            d2_box;
            l_box;
            a_box;
      }
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//////
dlgv6 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Helix - Biconical - Angle" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            d1_box;
            d3_box;
            d2_box;
            d4_box;
            a_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
/////
dlgu7 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Helix - Biconical - 360" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            d1_box;
            d3_box;
            d2_box;
            d4_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
/////
dlgu8 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Helix - Conical - 360" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            d1_box;
            d3_box;
            d2_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
/////
dlgu6 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Helix - 360" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            d1_box;
            d3_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
/////
dlgt8 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Helix Lateral - Conical - Angle" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            h1_box;
            d1_box;
            d_box;
            a_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
/////
dlgt7 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Helix Lateral - Conical - 360" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            h1_box;
            d1_box;
            d_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
/////
dlgt6 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Helix Lateral - Cylinder - 360" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            h1_box;
            d1_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
/////
dlgu9 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bend - Rectangular [fillet] Cylinder - N parts " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : column {
      gen1col ;
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            a_box;
            r_box;
            nn_box;
            l_box;
            l1_box;
         }
      }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///////
dlgx6 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bend - Oblong X - N parts " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            d1_box;
            x1_box;
            a_box;
            r_box;
            nn_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///////
dlgy6 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bend - Oblong Y - N parts " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            d1_box;
            y1_box;
            a_box;
            r_box;
            nn_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///////
dlgb2 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bend - Round - N parts " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            d1_box;
            a_box;
            r_box;
            nn_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///////
dlgf2 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Bend - Round - N parts - Optimized " ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            d1_box;
            a_box;
            r_box;
            nn_box;
            l_box;
            l1_box;
            cgap_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///////
dlgz1 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Trifurcation - Aligned - [3 Cones] " ;
   : row {
      key = "t_fdia" ;
      : column {
           bigdialimag4;
      }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            d1_box;
            d2_box;
            xoff_box;
      }
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//////
dlgy1 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Trifurcation - Aligned - [3 Cones] - Non parallel " ;
   : row {
      key = "t_fdia" ;
      : column {
           bigdialimag4;
      }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            d1_box;
            d2_box;
            l_box;
            a_box;
      }
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//////
dlg4n : dialog { 
  key = "t-dlname" ;
//  label = "LITIO 2.0 - Picked entity data extraction - 3D mesh with thickness " ;
  label = "LITIO 2.0 - Picked entity data extraction" ;
  : column
     : boxed_radio_column {
        label = "Select end and side "; // MSG 033
        : optradbut {
          key = "t_opt1o";
          label = "End 1 - Out"; // 
          mnemonic = "1";
        }
        : optradbut {
          key = "t_opt1m";
          label = "End 1 - Mid"; // 
          mnemonic = "M";
        }
        : optradbut {
          key = "t_opt1i";
          label = "End 1 - In"; // 
          mnemonic = "I";
        }
        : optradbut {
          key = "t_opt2o";
          label = "End 2 - Out"; // 
          mnemonic = "2";
        }
        : optradbut {
          key = "t_opt2m";
          label = "End 2 - Mid"; // 
          mnemonic = "M";
        }
        : optradbut {
          key = "t_opt2i";
          label = "End 2 - In"; // 
          mnemonic = "I";
        }
     }
   : text {
         label = "Move dialogue window to see selection." ;
   }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
////
dlg2n : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Picked entity data extraction" ;
  : column
     : boxed_radio_column {
        label = "Select end"; // MSG 033
        : optradbut {
          key = "t_opt1";
          label = "End 1"; // 
          mnemonic = "1";
        }
        : optradbut {
          key = "t_opt2";
          label = "End 2"; // 
          mnemonic = "2";
        }
     }
   : text {
         label = "Move dialogue window to see selection." ;
   }
   :row {
      errtile;
   }
   :row {
      ok_cancel;
   }
}
//////
dlga2 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Branch - Cylinders [1 Diameter]" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : column {
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            h_box;
            h1_box;
            d1_box;
            l_box;
            a_box;
         }
      : boxed_column {
           label = "Wrap around template" ;
           exist_opt;
      }
           }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//////
dlgx1 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Branch - Cylinders [2 Diameters]" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : column {
      : boxed_column {
            key = "tmain" ;
            label = "Main" ;
            t1_box;
            d1_box;
            h_box;
      }
      : boxed_column {
            key = "tbranch" ;
            label = "Branch" ;
            t_box;
            d3_box;
            l_box;
      }
      : boxed_column {
            key = "tpos" ;
            label = "Branch position" ;
            a_box;
            h1_box;
            yoff_box;
         }
      : boxed_column {
           label = "Wrap around template" ;
           exist_opt;
      }
           }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///
dlgx2 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Branch - Cylinder + Rectangle [fillet]" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : column {
      : boxed_column {
            key = "tmain" ;
            label = "Main" ;
            t1_box;
            d1_box;
            h_box;
      }
      : boxed_column {
            key = "tbranch" ;
            label = "Branch" ;
            t_box;
            x3_box;
            y3_box;
            r3_box;
            l_box;
      }
      : boxed_column {
            key = "tpos" ;
            label = "Branch position" ;
            a_box;
            h1_box;
            yoff_box;
         }
           }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///
dlgd5 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Intersection - Cone with round duct [angle]" ; /* angle */
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
   : boxed_row {
            label="Branch position";
            h1_box;
            yoff_box;
            a_box;
   }
      }
      : column {
          : boxed_column {
            label="Cone";
            width=20;
            d1_box;
            d2_box;
            h_box;
            t1_box;
          }
          : boxed_column {
            label="Branch [round]";
            width=20;
            d3_box;
            t_box;
            l_box;
            a1_box;
          }
      }
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//
dlgd6 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Intersection - Cone with rectangular duct [angle]" ; /* angle */
   : row {
      key = "t_fdia" ;
      : column {
        bigdialimag4;
         : boxed_row {
            label="Branch position";
            : column {
            h1_box;
            a_box;
            }
            : column {
            yoff_box;
            }
         }
      }
      : column {
          : boxed_column {
            label = "Cone";
            width=20;
            d1_box;
            d2_box;
            h_box;
            t1_box;
          }
          : boxed_column {
            label = "Branch";
            width=20;
            x3_box;
            y3_box;
            r3_box;
            t_box;
            l_box;
            a1_box;
            }
      }
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//
dlge6 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Intersection - Cone with rectangular duct [vertical]" ; /* 90 */
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
            : boxed_row {
              label="Branch position";
              r_box ;
              a_box ;
//              xoff_box;
//              yoff_box;
            }
      }
      : column {
: boxed_row {
label="Cone";
  : column {
            width=20;
            d1_box;
            d2_box;
            h_box;
            t1_box;
  }
}
: boxed_row {
label="Branch";
   : column {
            width=20;
            x3_box;
            y3_box;
            r3_box;
            t_box;
            l_box;
            a1_box;
  }
}
}
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//
//
dlge5 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Intersection - Cone with round duct [vertical]" ; /* 90 */
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
            : boxed_row {
               label="Branch position";
                : column {
                     width=20;
                     r_box ;
//                     xoff_box;
                }
                : column {
                     width=20;
                     a_box ;
//                     yoff_box;
                }
            }
      }
      : column {
: boxed_row {
label="Cone";
  : column {
            width=20;
            d1_box;
            d2_box;
            h_box;
            t1_box;
  }
}
: boxed_row {
label="Branch";
   : column {
            width=20;
            d3_box;
            t_box;
            l_box;
            a1_box;
  }
}
}
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//
dlgx4 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Intersection - Two Cones" ; /* angle */
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
      }
      : column {
          : boxed_column {
            label="Cone - Main";
            width=20;
            d1_box;
            d2_box;
            h_box;
            t1_box;
          }
          : boxed_column {
            label="Cone - Branch";
            width=20;
            d3_box;
            d4_box;
            t_box;
            l_box;
          }
      }
   }
   : boxed_row {
            label="Branch position";
            h1_box;
            yoff_box;
            a_box;
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//
dlgv9 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Free pattern from two 3D curves" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag3;
      }
   }
   : row {
          : boxed_row {
            label="Thickness and Fillet Radius [aprox.]";
            t_box;
            ri_box ;
          }
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      configbutton;
   }
   :row {
      ok_cancel;
   }
}
//
dlgt9 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Rectangle [fillet] to Ellipse - Offset - Angle" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
            rowseam;
        }
      : column {
         key = "t-dialinput" ;
         gen1col;
         : boxed_column {
            key = "tmeas" ;
            label = "Other Dimensions" ;
            x2_box;
            y2_box;
            a_box;
            t_box;
            h_box;
            xoff_box;
            yoff_box;
         }
      }
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//////
dlge2 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - Rectangular duct - Bend" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
: column {
            x1_box;
            y1_box;
            t_box;
            t1_box;
            woff_box;
}
: column {
            l_box;
            l1_box;
            r1_box;
            a_box;
}
      }
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///////
dlgs1 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - [Sector of] Sphere" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            d1_box;
            a_box;
            a1_box;
            a2_box;
            nn_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///////
dlgs2 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - [Semi]Sphere - 2 rows" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            d1_box;
            a_box;
            a1_box;
            nn_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///////
dlgs3 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - [Semi]Sphere - 1 row" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            d1_box;
            a_box;
            nn_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
///////
///////
dlgr1 : dialog {
   label = "LITIO 2.0 - 2D profiles - U" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            r_box;
            h_box;
            aa_box;
            bb_box;
            cc_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
/////////
///////
dlgr2 : dialog {
   label = "LITIO 2.0 - 2D profiles - L" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            r_box;
            h_box;
            aa_box;
            cc_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
/////////
///////
dlgr3 : dialog {
   label = "LITIO 2.0 - 2D profiles - Z" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            r_box;
            h_box;
            aa_box;
            bb_box;
            cc_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
/////////
///////
dlgr4 : dialog {
   label = "LITIO 2.0 - 2D profiles - C" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            r_box;
            h_box;
            aa_box;
            bb_box;
            dd_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
/////////
///////
dlgr5 : dialog {
   label = "LITIO 2.0 - 2D profiles - OMEGA" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            r_box;
            h_box;
            aa_box;
            bb_box;
            dd_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
/////////
///////
dlgr6 : dialog {
   label = "LITIO 2.0 - 2D profiles - J" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            r_box;
            h_box;
            aa_box;
            bb_box;
            cc_box;
            dd_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
/////////
///////
dlgr7 : dialog {
   label = "LITIO 2.0 - 2D profiles - S" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag4;
        }
      : boxed_column {
            key = "tmeas" ;
            label = "Dimensions" ;
            t_box;
            r_box;
            h_box;
            aa_box;
            bb_box;
            cc_box;
            dd_box;
         }
     }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
/////////
dlgr8 : dialog { 
  key = "t-dlname" ;
   label = "LITIO 2.0 - 2D profiles - Free profile from 2D curve" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag3;
      }
   }
   : row {
          : boxed_row {
            label="Thickness, height and Fillet Radius";
            t_box;
            r_box ;
            h_box ;
          }
   }
   :row {
      errtile;
   }
   :row {
      backbutton ;
      configbutton;
   }
   :row {
      ok_cancel;
   }
}
//////
dlgt3 : dialog { 
  key = "t-dlname" ;
  label = "LITIO 2.0 - 2D polyline - Ellipse" ;
   : row {
      key = "t_fdia" ;
      : column {
            bigdialimag5;
            }
   }
: boxed_row {
      key = "tgener1" ;
      label = "Ellipse" ; // MSG 026
x1_box;
y1_box;
}
   :row {
      errtile;
   }
   :row {
      backbutton ;
      ok_cancel;
      configbutton;
   }
}
//////